<template>
  <div>Error creating course: {{ error }}</div>
</template>
<style lang="scss" scoped>
@import "~assets/mixins.scss";
</style>
<script>
import { mapState } from "vuex";
import Vue from "vue";
import { get } from "dot-prop";

const CREATE_COURSE = `
mutation { _:createEmptyCourse( input: {} ) {
  _:course { id }
}}`;

export default {
  data() {
    return {};
  },
  computed: mapState({
    user: (state) => state.user,
  }),
  async asyncData({ redirect, app, store }) {
    var res = await app.$gql(CREATE_COURSE);
    console.log("RES: ", res);

    var id = get(res, "result._._.id");
    if (id) {
      redirect(`/courses/${id}/edit`);
    }

    return { error: res.error };
  },
};
</script>
